﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Custom Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Custom Analytics Controls</h1>
        <p>You can as well customize the analytics being created, based on SQL query or Runtime configurations. Apart from customizing the analytics, you can customize the way in which the reports are displayed as well. The results generated using this analytic configuration are stored in the database for further reference.</p>
        <ol>
            <li>Navigate to <strong>Analytics &gt; Analytics Configuration List.</strong></li>
            <li>
                <p style="font-weight: bold;"><span style="font-weight: normal;">Click the <strong>Version 1</strong>&#160;tab</span>.</p>
            </li>
            <li>Click <strong>Create New Analytics</strong>.</li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p class="auto-cursor-target">Select the <strong>&#160;CUSTOM&#160;ANALYTICS&#160;CONTROL</strong>&#160;from the following options available and&#160;click <strong>Create.</strong></p>
            </li>
        </ol>
        <p>Before creating the analytics control, there is an option to <strong>Preview</strong> the control configuration, towards the end of the <strong>Create New Analytics Configuration </strong>page.</p>
        <p>Note the following points related to <strong>Preview</strong> and <strong>Create</strong> buttons:</p>
        <ul>
            <li>
                <p>If the SQL query that you entered in the control configuration, returns more than or equal to ten records, then the analytics preview displays all the ten records. If the query returns less than ten records, the preview displays those many numbers of records.</p>
            </li>
            <li>
                <p>The <strong>Preview</strong> button is enabled before you click the<strong> Create</strong> button. Once the analytics control is created, you cannot view the <strong>Preview</strong> button.</p>
            </li>
            <li>
                <p>The <strong>Preview</strong> button is used to validate the correctness of the query syntax and to display the first 10 rows of the result data. This does not validate columns in the analytics query for the allowed action. An error message is displayed if the query syntax is incorrect. You can view the error details from the log files or by executing the same query directly in the database.</p>
            </li>
            <li>
                <p>The <strong>Create</strong> button must be used as the final step in the creation of the analytics control. This validates the mandatory columns in the analytics query for the allowed action. You will be able to select the visible and filterable columns for the control and submit the control creation only if all validations are complete.</p>
            </li>
        </ul>
        <p>Enter/select the appropriate values in the following parameters.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 23.9989%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 75.9745%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Analytics Name<span style="color: rgb(255,0,0);">*</span></p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the appropriate analytics name.</p>
                            <p class="table-text">This is a free-text-entry field. The analytics name must be unique and system will not allow you to create multiple analytics with the same name.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Status</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Select the current status of the analytics.</p>
                            <p style="text-align: left;" class="table-text">The following options are available to select:</p>
                            <ul style="text-align: left;">
                                <li>Active</li>
                                <li>Inactive</li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Risk<span style="color: rgb(255,0,0);">*</span></p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Select the priority of the risk.&#160;</p>
                            <p style="text-align: left;" class="table-text">The following options are available to select:</p>
                            <ul style="text-align: left;">
                                <li>Low</li>
                                <li>Medium</li>
                                <li>High</li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Description</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the description for the analytic query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">External Connection</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the name of the external connection if it is connected through connector.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Analytics Type</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the appropriate analytics type.</p>
                            <p class="table-text">The following options are available to select:</p>
                            <ul>
                                <li>SQL Based - Select this option to generate analytics using SQL based queries.</li>
                                <li>Runtime -&#160;Select this option to generate analytics using RUN option.</li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Category</p>
                            <p class="table-text">(This parameter appears if you select the value SQL Based in the Analytics Type)</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the relevant category name.</p>
                            <p class="table-text">The following categories are available to select:</p>
                            <ul>
                                <li><strong>Access Request System -&#160;</strong>Analytic belonging to ARS</li>
                                <li><strong>Preventive SOD check -</strong> Analytic is for preventive SOD check</li>
                                <li><strong>Information Refresh - </strong>Analytic is for looking for stale information or refreshing the information</li>
                                <li><strong>Non Person Accounts -&#160;</strong>Analytic is for checking the non-person accounts</li>
                                <li><strong>Usage -</strong>&#160;Analytic is for understanding the usage</li>
                                <li><strong>Provisioning -&#160;</strong>Analytic for keeping track of provisioning</li>
                                <li><strong>De Provisioning - </strong>Analytic for keeping track of de-provisioning</li>
                                <li><strong>Certification - </strong>Analytic for keeping track of certifications</li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Application</p>
                            <p class="table-text">(This parameter appears if you select the value SQL Based in the Analytics Type)</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the relevant application name.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Allowed Action</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">If you want to make a report as actionable, you can pre-select the actions that need to be taken on records displayed in the control report. For more information, see&#160;Allowed Actions.</p>
                            <p class="table-text">
                                <img src="../Resources/Images/Action options from  the Analytics History Detail of an Analytics Control.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                            </p>Figure: Action options from&#160; the Analytics History Detail of an Analytics Control</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Email Template</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the relevant email template.</p>
                            <p class="table-text">The email template being used to send out analytic report to the user. For more information on email templates, see&#160;Managing Email Templates.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Sub Category</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the sub category name.</p>
                            <p class="table-text">To create new sub category, select <strong>Create New</strong>. The <strong>Create Sub Category&#160;</strong>dialog box appears. Enter the sub category name and click <strong>Create</strong>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Base Count</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the number of base count in numerical format.</p>
                            <p class="table-text">For example, If the count is 5, it creates a full version on the very 1st run, runs 2-5 will have only incremental data. Creates a base version on every 5th run.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Number of History to Keep</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Enter the number of entries to be stored in the history for analysis in numerical format.</p>
                            <p class="table-text">For example, If the count is 5, then on 6th run, run history details of the very first run will be deleted from Saviynt Security Manager. The value should always be greater than or equal to base count.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Enable Archival</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this option if the number of history to keep is more than 0. If selected, then the&#160;older control result will be archived in the archival folder before deleting it.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Tags</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the tag(s) name. Tags are an additional way of sorting and filtering users.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Recommendations</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the appropriate recommendations (if any) for the analytics.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1" style="text-align: left;" colspan="2">
                            <p class="table-text"><strong>Report Column Selector</strong>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Objects</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select one or more objects to be part of the analytics.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Columns</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select one or more columns to be part of the analytics.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1" colspan="2">
                            <p><strong>Filters</strong>
                            </p>
                            <p>
                                <img src="../Resources/Images/filters and or.png" style="width: 683px;height: 146px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                            </p>
                            <p>Use this select to select the rule for filtering&#160;the analytics based on the objects selected. You can use the AND or OR condition to manage filters.</p>
                            <br />
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Add Rule</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Click Add Rule to add one or more rules.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Add Group</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Click Add Group to add one or more groups with in the rule.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Delete</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Click Delete to delete any rule or group.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <ol>
            <li>Click <strong>Preview</strong> to view the values based on the analytics type or errors in the analytics, if any.</li>
            <li>
                <p>Click <strong>Submit </strong>to create the analytics.</p>
            </li>
            <li>The <strong>Choose type for the fields selected</strong> window appears. Select the type for the fields selected and click <strong>Submit</strong>.<br />The following options are available to select:<br /><ul><li>String</li><li>Number</li><li>Date</li></ul><div class="table-wrap"><table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col style="width: 120.0px;" class="TableStyle-Default-Table-Column-Column1" /><col style="width: 447.0px;" class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Analytics Name</p></td><td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the appropriate analytics name.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Analytics Query</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the analytics query based on the analytics type, objects and filters selected in the previous step.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Description</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the analytics description.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Status</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the current status of the analytics.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Owner</p></td><td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the owner name, as applicable.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Application</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the application name.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">External Connection</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the external connection name.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Update User</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the name of the user who recently updated this analytic details.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Update Date</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the date and time when this analytic details got updated.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Risk</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p style="text-align: left;" class="table-text">Displays the severity of the risk.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Email Template</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the name of the email template.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Category</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the category to which this analytic is associated.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Allowed Actions</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">If you want to make a report as actionable, you can pre-select the actions that need to be taken on records displayed in the control report. For more information, see&#160;Allowed Actions&#160;Table in <MadCap:xref href="Creating-Actionable-Analytic-Report.htm">Creating Actionable Analytic Report</MadCap:xref>.</p><p class="table-text"><img src="../Resources/Images/Action options from  the Analytics History Detail of an Analytics Control.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Tags</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the tag(s) name.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Number of History to Keep</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the number of history to keep as records in numerical format.</p><p class="table-text">For example, If the count is 5, then on 6th run, run history details of the very first run will be deleted from Saviynt Security Manager. The value should always be greater than or equal to base count.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Base Count</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the base count name in numerical format.</p><p class="table-text">For example, If the count is 5, it creates a full version on the very 1st run, runs 2-5 will have only incremental data. Creates a base version on every 5th run.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><p class="table-text">Recommendations</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1"><p class="table-text">Displays the recommendation details.</p></td></tr></tbody></table></div><p class="auto-cursor-target">Submission Options: The following options are available to select:</p><ul><li><strong>Create Similar Analytics</strong>&#160;- Click this option to create similar analytics.</li><li><strong>Edit</strong>&#160;- Click this option to edit the existing analytics details. You can edit the required parameters and update.</li><li><strong>Delete</strong>&#160;- Click this option to delete the analytics.</li></ul><p class="auto-cursor-target"><b>History Tab</b><br />This tab displays the history details in the following columns:</p><div class="table-wrap"><table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col style="width: 100.0px;" class="TableStyle-Default-Table-Column-Column1" /><col style="width: 257.0px;" class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Column</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Updated By</p></td><td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the name of the user who updated the analytic details.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Modified On</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the date when the analytic is modified.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Operation</p></td><td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the activity performed.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Field</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the field name where the change is made.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Old Value</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Displays the old value.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><p class="table-text">New Value</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1"><p class="table-text">Displays the new value.</p></td></tr></tbody></table></div></li>
        </ol>
        <p>The custom analytics configuration is created and the details are displayed in the following tabs.<br /><b>Details Tab</b></p>
        <ol>
            <li>
                <p style="text-align: left;">After the analytics is created, you can run the analytic using the following options available under <strong>Run.</strong></p>
                <ul style="text-align: left;">
                    <li><strong>Dry Run</strong> - The newly created/edited analytics will be run on a test basis, but the results are not stored in the run history.</li>
                    <li><strong>Run Now</strong> -&#160;The newly created/edited analytics will be run and the results are stored under run history.</li>
                    <li><strong>Run History</strong> - Displays the previously run analytics history and results from multiple runs can be compared.</li>
                </ul>
            </li>
            <li>
                <p>The newly created analytics will run and displays the results. You can filter or search based on the search parameters. The results are also stored in the run&#160;history.</p>
            </li>
        </ol>
        <p>To view and manage analytics history results, see&#160;<MadCap:xref href="Analytics-History-Page-Version-1tab.htm">Analytics History Page (Version 1 tab)</MadCap:xref>.&#160;</p>
        <p>If an error message displays while creating the custom analytics, watch the <a href="https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/43199409691/original/User unable to create custom Analytics Control in SSM.mp4?response-content-type=video%2Fmp4&amp;X-Amz-Algorithm=AWS4-HMAC-SHA256&amp;X-Amz-Credential=AKIAS6FNSMY2XLZULJPI%2F20220127%2Fus-east-1%2Fs3%2Faws4_request&amp;X-Amz-Date=20220127T204109Z&amp;X-Amz-Expires=300&amp;X-Amz-SignedHeaders=host&amp;X-Amz-Signature=151c5be91531c11fa59b34b8a3cfaddb15d425154f3848a588754614d25f832a">Troubleshooting&#160;Video</a> to resolve it.</p>
        <p>&#160;</p>
    </body>
</html>